;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; MESOL installer IIF2 file
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[variables]
;CUSTOM VARIABLES CAN NOT HAVE NESTED CUSTOM VARIABLES
;  ONLY MAY NEST PRE-DEFINED VARIABLES
;path=EXECUTION PATH                   ;pre-defined
;system=SYSTEM PATH                    ;pre-defined
;progfilesdir=PROGRAM FILES DIRECTORY  ;pre-defined
;root=WINDOWS DRIVE (ie C:)	       ;pre-defined
installdir=%progfilesdir%\Intel\AMT
startfolder=AMT
[/variables]

[copy file]
source=%path%\setup.exe
destination=%system%\mesoludlg.exe
uninstall=true
[/copy file]

[copy file]
source=%path%\difxapi.dll
destination=%system%\difxapi.dll
uninstall=false
[/copy file]

[copy file]
source=%path%\x64\difxapi.dll
destination=%system%\x64\difxapi.dll
uninstall=false
condition=IsWoW
[/copy file]

[copy file]
source=%path%\x64\Difx64.exe
destination=%system%\x64\Difx64.exe
uninstall=false
condition=IsWoW
[/copy file]

[copy file]
source=%path%\NAC_PP\IntelAMTPP.dll
destination=%progfilesdir%\Common Files\postureAgent\plugins\install\IntelAMTPP.dll
uninstall=true
condition=IfExists(%path%\NAC_PP\IntelAMTPP.dll)
[/copy file]

[copy file]
source=%path%\NAC_PP\IntelAMTPP.inf
destination=%progfilesdir%\Common Files\postureAgent\plugins\install\IntelAMTPP.inf
uninstall=true
condition=IfExists(%path%\NAC_PP\IntelAMTPP.inf)
[/copy file]

[copy file]
source=%path%\NAC_PP\IntelAMTPP.dll
destination=%progfilesdir%\Common Files\postureAgent\plugins\IntelAMTPP.dll
uninstall=only
condition=IfExists(%path%\NAC_PP\IntelAMTPP.dll)
[/copy file]

[copy file]
source=%path%\NAC_PP\IntelAMTPP.inf
destination=%progfilesdir%\Common Files\postureAgent\plugins\IntelAMTPP.inf
uninstall=only
condition=IfExists(%path%\NAC_PP\IntelAMTPP.inf)
[/copy file]

[copy directory]
source=%path%\LMS
destination=%installdir%
uninstall=true
[/copy directory]

[copy directory]
source=%path%\UNS
destination=%installdir%
uninstall=true
condition=IfExists(%path%\UNS\UNS.exe)
[/copy directory]

[copy directory]
source=%path%\PIcon\
destination=%installdir%
uninstall=true
error=ignore
condition=IfExists(%path%\PIcon\atchk.exe)
[/copy directory]

[copy file]
source=%path%\Lang\MESOL\%lang%\Mesol%lang%.dll
destination=%system%\Lang\MESOL\%lang%\Mesol%lang%.dll
uninstall=true
error=ignore
condition=IfExists(%path%\Lang\MESOL\%lang%\Mesol%lang%.dll)
[/copy file]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\Eventlog\Application\LMS
keyvalue=EventMessageFile
keydata=%installdir%\LMS.exe
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SYSTEM\CurrentControlSet\Services\Eventlog\Application\LMS
keyvalue=TypesSupported
keydata=7
keytype=dw
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\MESOL
keyvalue=DisplayName
keydata=%GetString(2013)%
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\MESOL
keyvalue=UninstallString
keydata=%system%\mesoludlg.exe -uninstall
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\MESOL
keyvalue=Publisher
keydata=Intel Corporation
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\MESOL
keyvalue=InstallLocation
keydata=%installdir%
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\MESOL
keyvalue=NoModify
keydata=1
keytype=dw
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\MESOL
keyvalue=Language
keydata=%lang%
keytype=sz
uninstall=true
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Intel\IntelAMTPP
keyvalue=Posture
uninstall=only
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Intel\IntelAMTPP
keyvalue=PostureHash
uninstall=only
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Intel\IntelAMTPP
keyvalue=OldPostureHash
uninstall=only
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\INTEL\IntelAMTUNS
uninstall=only
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Microsoft\Windows\CurrentVersion\Run
keyvalue=atchk
keydata="%installdir%\atchk.exe"
keytype=sz
uninstall=true
condition=IfExists(%path%\PIcon\atchk.exe)
[/registry]

[registry]
keyroot=HKLM
keypath=SOFTWARE\Intel\Network_Services\atchk
keyvalue=AMTStatusInitMaxRetries
keydata=8640
keytype=dw
uninstall=true
condition=IfExists(%path%\PIcon\atchk.exe)
[/registry]

[services]
servicename=LMS
displayname=Intel(R) Active Management Technology Local Management Service
description=Intel(R) Active Management Technology Local Management Service - Allows applications to access the local Intel(R) Active Management Technology using its locally-available SOAP interfaces.
servicetype=SERVICE_WIN32_OWN_PROCESS
starttype=SERVICE_AUTO_START
binpath=%installdir%\LMS.exe
uninstall=true
[/services]

[services]
servicename=UNS
displayname=Intel(R) Active Management Technology User Notification Service
description=Intel(R) Active Management Technology User Notification Service - Updates the Windows Event Log with notifications of pre defined events received from the local Intel(R) Active Management Technology Device.
servicetype=SERVICE_WIN32_OWN_PROCESS
starttype=SERVICE_AUTO_START
binpath=%installdir%\UNS.exe
uninstall=true
condition=IfExists(%path%\UNS\UNS.exe)
[/services]

[services]
servicename=atchksrv
displayname=Intel(R) Active Management Technology System Status Service
description=Intel(R) Active Management Technology System Status Service - Displays status of Intel(R) Active Management Technology
servicetype=SERVICE_WIN32_OWN_PROCESS
starttype=SERVICE_AUTO_START
binpath=%installdir%\atchksrv.exe
uninstall=true
condition=IfExists(%path%\PIcon\atchksrv.exe)
[/services]

[process]
exepath=%installdir%\atchk.exe
condition=IfExists(%path%\PIcon\atchk.exe)
sendquit=yes
[/process]
